# react-app-rewire-inline-source-plugin

Enable source code inlining capabilities in a [react-app-rewired](https://github.com/timarney/react-app-rewired) application.

Inlining CSS has the great advantage to reduce the server hits and dramatically improve
time to first meaningful paint in your pwa.



```js
/* config-overrides.js */
const rewireInlinSource = require('react-app-rewire-inline-source-plugin')
module.exports = function override (config, env) {
    config = rewireInlinSource(config);
    return config;
}

/* or with customize-cra */
function addRewireInlinSource() {
    return (config, env) => {
        config = rewireInlinSource(config);
        return config;
    }
}
```

